List customer's payment methods
curl --request GET \
--url https://api.notchpay.co/customers/{id}/payment_methods \
--header 'Authorization: <api-key>'import requests
url = "https://api.notchpay.co/customers/{id}/payment_methods"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.notchpay.co/customers/{id}/payment_methods', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 200,
"status": "OK",
"message": "Payment methods retrieved",
"items": [
{
"id": "pm_123456789",
"type": "Mobile Money",
"channel": "cm.mtn",
"created_at": "2023-01-01T12:00:00.000Z",
"phone": 237680000000
}
]
}API Reference
List customer's payment methods
GET
/
customers
/
{id}
/
payment_methods
List customer's payment methods
Authorizations
ApiKeyAuthSyncAuth
Path Parameters
Unique identifier of the customer
Was this page helpful?
⌘I